Class | ActionView::Template
In: | lib/action_view/template.rb
Parent: | Object

### Methods

accessible_paths content_type exempt_from_layout exempt_from_layout? filename format_and_extension load! method_segment mime_type multipart? new path path_without_extension path_without_format_and_extension relative_path render_template source

### Included Modules

Renderable

### Classes and Modules

Class ActionView::Template::EagerPath
Class ActionView::Template::Path

### Attributes

base_path | [RW] |
extension | [RW] |
filename | [W] |
format | [RW] |
load_path | [RW] |
locale | [RW] |
name | [RW] |
template_path | [RW] |

### Public Class methods

exempt_from_layout(*extensions)

Don‘t render layouts for templates with the given extensions.

new(template_path, load_path = nil)

### Public Instance methods

accessible_paths()
content_type()
exempt_from_layout?()
filename()
format_and_extension()
load!()
method_segment()
mime_type()
multipart?()
path()
path_without_extension()
path_without_format_and_extension()
relative_path()
render_template(view, local_assigns = {})
source()

[Validate]